#
# spec file for package gnet
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnet
BuildRequires:  gtk-doc
BuildRequires:  indent
BuildRequires:  intltool
BuildRequires:  libidl-devel
BuildRequires:  librsvg-devel
BuildRequires:  libtool
BuildRequires:  libwnck-devel
BuildRequires:  libxslt-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  python-devel
BuildRequires:  python-xml
BuildRequires:  scrollkeeper
Version:        2.0.8
Release:        30.1
Url:            http://www.gnetlibrary.org/
Summary:        Network Library for GLib-Based Programs
License:        LGPL-2.1+
Group:          System/Libraries
Source:         http://download.gnome.org/sources/gnet/2.0/gnet-%{version}.tar.bz2
Provides:       libgnet-2_0-0 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNet is a simple network library. It is written in C, object-oriented,
and built upon GLib. It is intended to be easy to use and port.



Authors:
--------
    David Helder       <dhelder@umich.edu>         
    Xavier Nicolovici  <nicolovi@club-internet.fr>
    Soeren Sandmann    <sandmann@daimi.au.dk>     
    Jacques Fortier    <jfortier@seul.org>       
    Andrew Lanoix      <alanoix@umich.edu>          
    Eric Cronin        <ecronin@umich.edu>          
    David Bolcsfoldi   <david.bolcsfoldi@telia.com>
    Marius Eriksen     <marius@umich.edu>           
    Mark Ferlatte      <ferlatte@cryptio.net> 

%package devel
Summary:        Network library for GLib based programs
Group:          Development/Libraries/X11
Requires:       glib2-devel
Requires:       gnet = %{version}

%description devel
GNet is a simple network library. It is written in C, object-oriented,
and built upon GLib. It is intended to be easy to use and port.



Authors:
--------
    David Helder       <dhelder@umich.edu>
    Xavier Nicolovici  <nicolovi@club-internet.fr>
    Soeren Sandmann    <sandmann@daimi.au.dk>
    Jacques Fortier    <jfortier@seul.org>
    Andrew Lanoix      <alanoix@umich.edu>
    Eric Cronin        <ecronin@umich.edu>
    David Bolcsfoldi   <david.bolcsfoldi@telia.com>
    Marius Eriksen     <marius@umich.edu>
    Mark Ferlatte      <ferlatte@cryptio.net>

%package doc
Summary:        Documentation of the Network Library for GLib-Based Programs
Group:          System/Libraries
Requires:       libgnet-2_0-0 = %{version}

%description doc
This package contains additional documentation of the GNet library.



Authors:
--------
    David Helder       <dhelder@umich.edu>         
    Xavier Nicolovici  <nicolovi@club-internet.fr>
    Soeren Sandmann    <sandmann@daimi.au.dk>     
    Jacques Fortier    <jfortier@seul.org>       
    Andrew Lanoix      <alanoix@umich.edu>          
    Eric Cronin        <ecronin@umich.edu>          
    David Bolcsfoldi   <david.bolcsfoldi@telia.com>
    Marius Eriksen     <marius@umich.edu>           
    Mark Ferlatte      <ferlatte@cryptio.net> 

%prep
%setup -q

%build
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure\
	--disable-static
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files   
%defattr(-,root,root)  
%{_prefix}/%{_lib}/lib*.so.*  

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig 

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_datadir}/aclocal/*.m4
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/gnet-2.0
%{_libdir}/pkgconfig/*.pc

%files doc
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/*
%doc README ChangeLog AUTHORS TODO COPYING

%changelog
* Fri Mar 29 2013 dimstar@opensuse.org
- Use full URL for source
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Sat Oct 15 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Tue Oct 26 2010 sbrabec@suse.cz
- Removed obsolete BuildRequires of old branch of libxml.
* Sun Jun 21 2009 dmueller@suse.de
- Add "Provides: libgnet-2_0-0 = %%{version}" to fix gnet-doc
  not being installable
- Remove AutoReqProv. It's default
* Tue Mar 10 2009 ro@suse.de
- drop eel-devel from buildrequires
* Fri Feb 13 2009 drahn@suse.de
- update to new upstream release 2.0.8
- fixes bnc#434615
- compile with -fno-strict-aliasing
- spli off debuginfo
* Tue Feb 13 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552#c17).
* Fri Jan 12 2007 sbrabec@suse.cz
- Spec file cleanup.
* Fri Dec 22 2006 maw@suse.de
- Move to /usr.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 16 2005 mmj@suse.de
- compile with -fno-strict-aliasing
* Wed Jul 27 2005 drahn@suse.de
- Changed prefix to /opt/gnome
- include gtk-doc
* Tue Jul 26 2005 drahn@suse.de
- Update to new release 2.0.7
- Added require for glib2-devel to gnet-devel
* Thu Apr 14 2005 sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Wed Nov 10 2004 ro@suse.de
- removed gnome1 stuff from neededforbuild
* Mon May 24 2004 drahn@suse.de
- adjusted neededforbuild
* Tue Mar  2 2004 hhetter@suse.de
- updated to bugfix release 2.0.5
* Thu Feb 26 2004 drahn@suse.de
- update to GNet 2.0.4
* Fri Feb 20 2004 sbrabec@suse.cz
- Fixed names of GNOME2 packages.
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Fri Dec  5 2003 ro@suse.de
- fix typo in specfile
* Tue Aug 19 2003 sbrabec@suse.cz
- Updated neededforbuild (rename of librsvg2, eel2).
* Mon Jun 16 2003 drahn@suse.de
- fix directory list
* Mon May 19 2003 drahn@suse.de
- adjusted SPEC file for 64bit libraries
- cleanup filelist
* Mon May 12 2003 drahn@suse.de
- initial package version 1.1.9
